---
updatedAt: 2025-09-24T00:06:22.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List transactions by account

Return a user's list of transactions.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/accounts/{id}/transactions": {
      "get": {
        "summary": "List transactions by account",
        "description": "Return a user's list of transactions.",
        "operationId": "list-transactions-by-account",
        "parameters": [
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of records to return. Accepted values: 1 - 500.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "Limit to transactions created after the specified date.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "Limit to transactions created before the specified date.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The account's id",
            "schema": {
              "type": "integer",
              "format": "int64"
            },
            "required": true
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "description": "Secret access token.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"resources\": [\n    {\n      \"id\": 1000013123932,\n      \"clean_description\": \"Prelevement Spotify SA\",\n      \"bank_description\": \"Prlv 1512 Spotify SA\",\n      \"amount\": -4.99,\n      \"date\": \"2019-04-06\",\n      \"booking_date\": \"2023-04-05\",\n      \"transaction_date\": \"2019-04-07\",\n      \"value_date\": \"2019-04-06\",\n      \"updated_at\": \"2019-04-06T09:19:14Z\",\n      \"currency_code\": \"EUR\",\n      \"is_deleted\": false,\n      \"category_id\": 1,\n      \"account_id\": 2341498,\n      \"is_future\": false,\n      \"show_client_side\": true\n    },\n    //...\n  ],\n  \"pagination\": {\n    \"next_uri\": \"/v2/accounts/2341498/transactions?after=MjAxNS0xMS0xNjo0NTU3ODE1Mg%3D%3D&limit=12&until=2016-04-06\"\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/accounts/2341498/transactions?limit=12&until=2019-04-06' \\\n\t-X GET \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET' \\\n\t-H 'Authorization: Bearer TOP_SECRET_ACCESS_TOKEN'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```